<ng-container *ngIf="cats.length">
  <app-header></app-header>
  <div class="container">
    <app-cats *ngIf="cats.length" [cats]="cats"></app-cats>
  </div>
  <app-footer></app-footer>
</ng-container>
<mat-progress-spinner class="spinner" mode="indeterminate" *ngIf="!cats.length"></mat-progress-spinner>
